Search documentation of wx

# View Source wxDCOverlay (wx v2.4.2)

Functions for wxDCOverlay class

Connects an overlay with a drawing DC.

See: `wxOverlay`, `wxDC`

wxWidgets docs: wxDCOverlay

# Summary

## Types

wxDCOverlay()

## Functions

clear(This)

Clears the layer, restoring the state at the last init.

destroy(This)

Removes the connection between the overlay and the dc.

new(Overlay, Dc)

Convenience wrapper that behaves the same using the entire area of the dc.

new(Overlay, Dc, X, Y, Width, Height)

Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so.

# Types

Link to this type

# wxDCOverlay()

View Source

    -type wxDCOverlay() :: wx:wx_object().

# Functions

Link to this function

# clear(This)

View Source

    -spec clear(This) -> ok when This :: wxDCOverlay().

Clears the layer, restoring the state at the last init.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxDCOverlay()) -> ok.

Removes the connection between the overlay and the dc.

Link to this function

# new(Overlay, Dc)

View Source

    -spec new(Overlay, Dc) -> wxDCOverlay() when Overlay :: wxOverlay:wxOverlay(), Dc :: wxDC:wxDC().

Convenience wrapper that behaves the same using the entire area of the dc.

Link to this function

# new(Overlay, Dc, X, Y, Width, Height)

View Source

    -spec new(Overlay, Dc, X, Y, Width, Height) -> wxDCOverlay()
                 when
                     Overlay :: wxOverlay:wxOverlay(),
                     Dc :: wxDC:wxDC(),
                     X :: integer(),
                     Y :: integer(),
                     Width :: integer(),
                     Height :: integer().

Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so.